Reserve Package
This operation has two purposes:
- Make initial request for importing package. Location of the new package is returned as a response header if body is not provided.
- Finalize the import when all batches are sent to the server if bundleIdis provided or make the complete import if compressedBundle is provided
This API implements the TUS RFC: https://github.com/tus/tus-resumable-upload-protocol/blob/main/protocol.md
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
Tus version
1.0.0
Length of file in bytes
1000
Package import request specification
{
"compressedBundle": "string",
"bundleId": "string",
"option": "string",
"properties": {
"properties": "string"
}
}
compressedBundle
bundleId
option
properties
Created
{
"providerId": "string",
"providerName": "string",
"providerVersion": "string",
"logoIcon": "string"
}
providerId
providerName
providerVersion
logoIcon
Invalid Request - bad data
{
"providerId": "string",
"providerName": "string",
"providerVersion": "string",
"logoIcon": "string",
"bundleId": "string",
"integrationType": "string",
"message": "string"
}
providerId
providerName
providerVersion
logoIcon
bundleId
integrationType
message
Forbidden
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
Conflict
{
"providerId": "string",
"providerName": "string",
"providerVersion": "string",
"logoIcon": "string",
"bundleId": "string",
"oldProviderVersion": "string",
"message": "string"
}
providerId
providerName
providerVersion
logoIcon
bundleId
oldProviderVersion
message
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/iaas/api/integrations-ipam/package-import